package ucot.ui.gui.tree;

import java.util.List;
import java.util.Set;
import java.util.Vector;

import ucot.model.Entity;
import ucot.model.Item;
import ucot.model.Thing;

public class EntitiesTreeItem extends TreeItem{
	
	public EntitiesTreeItem(AnalyzeTreeModel model, TreeItem parent) {
		super(model,parent);
		
	}
	
	public String getName(){
		return "Entities";
	}
	
	public String getData(){
		return getName();
	}

	public List getChildren() {
		List<EntityTreeItem> entities = new Vector<EntityTreeItem>();
		Set<Item> ents = getAnalyzeModel().getItemsType("entity");
		for(Item item : ents){
			Entity entity = (Entity) item;
			entities.add(new EntityTreeItem(model,this,entity));			
		}
		return entities;
	}
	
}
